 <!-- Glassbox Search starts -->

 <div class="search-area">
    <div class="container"> 
		<div class="row">
			<div class="col-md-6">
				<div class="recent-post-title">
					 <h2 class="cmb-1">{{landingViewContent?.gb_Heading}}</h2>
				</div>
				<div class="recent-post-signle rct-pt-mg-wp">
					<p class="mt-1 l-custom-font">{{landingViewContent?.gb_search_content}}</p>
				</div>
			</div>
			<div class="col-md-6 mt-4">
				<div id="custom-search-input">
					<div class="input-group col-md-12 search-bar-align">
						<input type="text" id="search-input" class="form-control form-control-lg" placeholder="Search"> 
							<span class="input-group-btn">
							<button class="btn btn-info btn-lg" type="button">
								<img src="assets/images/feature_icons/search.png" id="srch-icn" alt="search"/>
							</button>
						</span>
					</div>
				</div>
				<div class="col-md-12 rqst-align"> 
					<p class="rqst-access-p">{{landingViewContent?.gb_request_access}}
						<button class="btn btn-primary rounded btn-br-radius" (click)="openRequestAccess()" id='modalbtn' 
                    		data-toggle="modal" data-target="#createLandingRequestModal"
							type="button" data-backdrop='static' data-keyboard='false'>{{landingViewContent?.request_access}}</button>
					</p> 
				</div>
			</div>
		</div>

    </div>
</div>
<!-- Glassbox Search Ends -->

    <!-- Knowledge Management Block Starts -->
    <div class="glassbox-email-post-area">
        <div class="container mb-5 c-top">
			<div class="row">
                <div class="col-lg-8 col-md-8 col-sm-6 col-xs-12">
					<div class="recent-post-wrapper glassbox-shadow sm-res-mg-t-30 tb-res-ds-n dk-res-ds knowledge-box box-height">
                        <div class="row">
							<div class="col-md-4">
							<div class="recent-post-ctn align-info-icon box-height">
								<img class="k-mngmt-icon" src="assets/images/feature_icons/info.svg"/>
								<div class="recent-post-title">
									<h2 class="mt-3">{{landingViewContent?.knowledge_mgmt}}</h2>
								</div>
							</div>
						</div>
						<div class="col-md-5">
							<div class="recent-post-items">
								<!-- <div class="recent-post-signle rct-pt-mg-wp"> -->
									<p class="knowledge_box_content">{{landingViewContent?.knowledge_box_data}}</p>
								<!-- </div> -->
							</div>
						</div>
						<div class="col-md-3">
							<button type="button" class="actionButton btn btn-primary mx-0 my-4 float-right ln-more-btn">{{landingViewContent?.learn_more}}</button>
						</div>
						</div>
                    </div>
					<br>
					<div class="row">
						<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 d-flex align-content-stretch">
							<div class="recent-post-wrapper glassbox-shadow sm-res-mg-t-30 tb-res-ds-n dk-res-ds" appPermissions functionality="catalog" action="Request">
								<div class="recent-post-ctn">
									<div class="recent-post-title">
										<h2 class="module-headers c-header-align"><img src="assets/images/feature_icons/data_chart.svg" class="header-icons" alt="data catlog"/>
										<a (click)="openState('dataCatalogue')"> 
											{{landingViewContent?.catalog_lineage}} </a>
									</h2>
									</div>
								</div>
								<div class="recent-post-items">
									<div class="recent-post-signle ctg-search-arw-icon rct-pt-mg-wp box-text-transform">
										<p>{{landingViewContent?.ctg_data}}</p>
										<!-- <hr> -->
										<a (click)="openState('dataCatalogue')" class="learn-more-btn crsr-pointer">
										  {{landingViewContent?.ctg_search}}</a>
									</div>
								</div>
							</div>
						</div>
						<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 d-flex align-content-stretch">
							<div class="recent-post-wrapper glassbox-shadow sm-res-mg-t-30 tb-res-ds-n dk-res-ds">
								<div class="recent-post-ctn">
									<div class="recent-post-title">
										<h2 class="module-headers c-header-align"><img src="assets/images/feature_icons/Compass.svg" class="header-icons" alt="data catlog"/>
											<a (click)="openState('brms')"> 
												{{landingViewContent?.rules_manager}} </a>
										</h2>
									</div>
								</div>
								<div class="recent-post-items">
									<div class="recent-post-signle  rct-pt-mg-wp box-text-transform">
										<p>{{landingViewContent?.rules_manager_data}}</p>
										<!-- <hr> -->
										<span class="lml-inks-text-transform clearfix">
											<a href="javascript:void(0);" (click)="openState('dataQuality')" class="learn-more-btn">
												{{landingViewContent?.data_quality}}</a>
										</span>	
										<span class="lml-inks-text-transform">
											<a href="javascript:void(0);" (click)="openState('brms')" class="learn-more-btn">
												{{landingViewContent?.rules_manager}}</a>
										</span>	
										<!-- <span class="lml-inks-text-transform clearfix">
											<a href="javascript:void(0);" class="learn-more-btn">
												{{landingViewContent?.learn_more}}</a>
										</span>
										<span class="lml-inks-text-transform">
											<a href="javascript:void(0);" (click)="openState('dataQuality')" class="learn-more-btn">
												{{landingViewContent?.data_quality}}</a>
										</span>	 -->
									</div>
								</div>
							</div>
						</div>
					</div>
					<div class="row mg-t-30">
						<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 d-flex align-content-stretch">
							<div class="recent-post-wrapper glassbox-shadow sm-res-mg-t-30 tb-res-ds-n dk-res-ds">
								<div class="recent-post-ctn">
									<div class="recent-post-title">
										<h2 class="c-header-align"><img src="assets/images/feature_icons/library_dashboards.svg" id="lib_dashboard" alt="library dashboard"/>
											{{landingViewContent?.library_dashboard}}</h2>
									</div>
								</div>
								<div class="recent-post-items">
									<div class="recent-post-signle rct-pt-mg-wp box-text-transform">
										<p>{{landingViewContent?.new_lib_dashboard_content}}</p>
										<!-- <hr> -->
										<span class="lml-inks-text-transform">
										<a href="javascript:void(0);" class="learn-more-btn">
											{{landingViewContent?.learn_more}}</a>
										</span>
										<span class="request-links-text-transform">
										<a href="javascript:void(0);" class="learn-more-btn">
											{{landingViewContent?.request_access}}</a>
										</span>	
									</div>
								</div>
							</div>
						</div>
						<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 d-flex align-content-stretch">
							<div class="recent-post-wrapper glassbox-shadow sm-res-mg-t-30 tb-res-ds-n dk-res-ds">
								<div class="recent-post-ctn">
									<div class="recent-post-title">
										<h2 class="c-header-align"><img src="assets/images/feature_icons/Chess_Piece.svg" class="header-icons" alt="governance"/>
											{{landingViewContent?.governance}}</h2>
									</div>
								</div>
								<div class="recent-post-items">
									<div class="recent-post-signle rct-pt-mg-wp box-text-transform">
										<p>{{landingViewContent?.governance_content}}</p>
										<!-- <hr> -->
										<span class="lml-inks-text-transform">
											<a href="javascript:void(0);" class="learn-more-btn">
												{{landingViewContent?.learn_more}}</a>
										</span>
										<span class="request-links-text-transform">
											<a href="javascript:void(0);" class="learn-more-btn">
												{{landingViewContent?.request_access}}</a>
										</span>	
									</div>
								</div>
							</div>
						</div>					
					</div>
					<div class="row mg-t-30">
						<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 d-flex align-content-stretch">
							<div class="recent-post-wrapper glassbox-shadow sm-res-mg-t-30 tb-res-ds-n dk-res-ds disabled">
								<div class="recent-post-ctn">
									<div class="recent-post-title">
										<span class="badge badge-secondary float-right bdg-cmng-soon mb-2">
											{{landingViewContent?.cmng_soon}}</span>
										<h2 class="c-header-align"><img src="assets/images/feature_icons/Network_Diagram.svg" class="header-icons" alt="workbench"/>
											{{landingViewContent?.workbench}}
										</h2>
									</div>
								</div>
								<div class="recent-post-items">
									<div class="recent-post-signle rct-pt-mg-wp box-text-transform">
										<p>{{landingViewContent?.workbench_content}}</p>
										<!-- <hr> -->
										<span class="lml-inks-text-transform">
											<a href="javascript:void(0);" class="learn-more-btn">
												{{landingViewContent?.learn_more}}</a>
										</span>
										<span class="request-links-text-transform">
											<a href="javascript:void(0);" class="learn-more-btn">
												{{landingViewContent?.request_access}}</a>
										</span>	
									</div>
								</div>
							</div>
						</div>
						<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12 d-flex align-content-stretch">
							<div class="recent-post-wrapper glassbox-shadow sm-res-mg-t-30 tb-res-ds-n dk-res-ds disabled">
								<div class="recent-post-ctn">
									<div class="recent-post-title">
										<h2 class="c-header-align"><img src="assets/images/feature_icons/Distribution.svg" class="header-icons" alt="data lab"/> 
											{{landingViewContent?.data_lab}}
										<span class="badge badge-secondary float-right bdg-cmng-soon mb-2">
											{{landingViewContent?.cmng_soon}}</span>
										</h2>
									</div>
								</div>
								<div class="recent-post-items">
									<div class="recent-post-signle rct-pt-mg-wp box-text-transform">
										<p>{{landingViewContent?.data_lab_content}}</p>
										<!-- <hr> -->
										<span class="lml-inks-text-transform">
											<a href="javascript:void(0);" class="learn-more-btn">
												{{landingViewContent?.learn_more}}</a>
										</span>
											<span class="request-links-text-transform">
											<a href="javascript:void(0);" class="learn-more-btn">
												{{landingViewContent?.request_access}}</a>
										</span>	
									</div>
								</div>
							</div>
						</div>					
					</div>
                </div>
				<div class="col-lg-4 col-md-4 col-sm-6 col-xs-12 d-flex align-items-stretch" id="notification-section">
					<div class="recent-items-wp glassbox-shadow sm-res-mg-t-30">
						<div class="recent-items-ctn">
							<div class="recent-items-title notifications ntf-box-align">
								<h2 class="ntf-header-text">
									<img src="assets/images/feature_icons/notification.svg" class="notification-icon" alt="notification"/>
									{{landingViewContent?.notifications_header}}
								<span class="notification-view">
									<a (click)="openState('notifications')"> 
										{{landingViewContent?.view_all}}</a>	
								</span>
								</h2>
							</div>
						</div>
						<div class="rc-it-ltd" *ngFor="let ntf of displayNotifications | keyvalue">
							<div class="recent-items-inn">
								<h5 class="notification-heading-transform text-capitalize">{{ntf.key}}
									<div class="result-count text-lwr">
										{{landingViewContent?.notification_count}} {{ntf.value.length}} {{landingViewContent?.Results}}
									</div>
								</h5>
								<!-- <hr class="headline-hr"> -->
								<div *ngFor="let val of ntf.value | orderByAlphabetically : 'event_instance_id':true | slice:0:1">
									<div class="row" >
										<div class="col-md-1 col-sm-1 col-xs-1">
											<em class="fa fa-bullhorn check_icon_size_color"></em>
										</div>
										<div class="col-md-10 col-sm-10 col-xs-10">
											<div class="posted-on">
												{{landingViewContent?.Posted}} {{val?.sent_on | date}}
											</div>
											<div class="posted-file">
												<ejs-tooltip id="tooltip" content="{{val.detail}}" position='BottomCenter'>
												<a href="javascript:void(0);">
												<span class="n-custom-font">{{val?.title}} </span>
												</a></ejs-tooltip>
											</div>
										</div>
									</div>
									<!-- <hr> -->
								</div>
							</div>
						</div>
					
					</div>
				</div>
			</div>
			<br>

        </div>
    </div>
	<!-- Knowledge Management Block Ends -->
	
	<app-request-access *ngIf="requestAccess"></app-request-access>
